Bullet Collision Detection & Physics Library: Bullet::btMultiBodyFloatData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btMultiBodyFloatData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btMultiBodyFloatData:
[legend]

## Public Attributes
btVector3FloatData | m_baseWorldPosition
btQuaternionFloatData | m_baseWorldOrientation
btVector3FloatData | m_baseLinearVelocity
btVector3FloatData | m_baseAngularVelocity
btVector3FloatData | m_baseInertia
float | m_baseMass
int | m_numLinks
char * | m_baseName
btMultiBodyLinkFloatData * | m_links
btCollisionObjectFloatData * | m_baseCollider

## Detailed Description

Definition at line 1541 of file bullet.h.

## Member Data Documentation

## ◆ m_baseAngularVelocity

btVector3FloatData Bullet::btMultiBodyFloatData::m_baseAngularVelocity

Definition at line 1547 of file bullet.h.

## ◆ m_baseCollider

btCollisionObjectFloatData* Bullet::btMultiBodyFloatData::m_baseCollider

Definition at line 1553 of file bullet.h.

## ◆ m_baseInertia

btVector3FloatData Bullet::btMultiBodyFloatData::m_baseInertia

Definition at line 1548 of file bullet.h.

## ◆ m_baseLinearVelocity

btVector3FloatData Bullet::btMultiBodyFloatData::m_baseLinearVelocity

Definition at line 1546 of file bullet.h.

## ◆ m_baseMass

float Bullet::btMultiBodyFloatData::m_baseMass

Definition at line 1549 of file bullet.h.

## ◆ m_baseName

char* Bullet::btMultiBodyFloatData::m_baseName

Definition at line 1551 of file bullet.h.

## ◆ m_baseWorldOrientation

btQuaternionFloatData Bullet::btMultiBodyFloatData::m_baseWorldOrientation

Definition at line 1545 of file bullet.h.

## ◆ m_baseWorldPosition

btVector3FloatData Bullet::btMultiBodyFloatData::m_baseWorldPosition

Definition at line 1544 of file bullet.h.

## ◆ m_links

btMultiBodyLinkFloatData* Bullet::btMultiBodyFloatData::m_links

Definition at line 1552 of file bullet.h.

## ◆ m_numLinks

int Bullet::btMultiBodyFloatData::m_numLinks

Definition at line 1550 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h